Bug 123284 - xinitrc refers to /usr/bin/netscape
xinitrc refers to /usr/bin/netscape
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-05-15 16:14 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 02:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-05-15 16:14:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
/etc/X11/xinit/xinitrc checks for netscape available, which has been
depricated long time ago. Nowadays this should be mozilla I think...

Version-Release number of selected component (if applicable):
xinitrc-3.35-1

How reproducible:
Always

Steps to Reproduce:
Install Fedora Core 1 with X

Actual Results:  /etc/X11/xinit/xinitrc checks for /usr/bin/netscape

Expected Results:  /etc/X11/xinit/xinitrc checking for /usr/bin/mozilla
Comment 1 Doncho N. Gunchev 2004-06-01 04:12:19 EDT
    It also might be a good idea to have shell env. var. BROWSER to
let new browsers like firefox override mozilla and so on... I think
http://www.catb.org/~esr/BROWSER/ was the firs place I saw it, butI
see it here too -
http://www.tldp.org/HOWTO/XWindow-User-HOWTO/runningx.html  (with
example script).
    Well... this is just a thought, I can not live without mozilla
anyway :)
Comment 2 Doncho N. Gunchev 2004-07-06 06:00:32 EDT
    I saw some requests for FireFox in FC3. At least one of them was 
to have FireFox as default web browser (which I disagree, it is 
stripped down mozilla with some features missing). Having this in 
mind I think /etc/profile.d/browser.{sh,csh} that 'export's BROWSER 
can resolve this problem too. On the other hand, to make this work 
many programs will have to be modified to honor this variable (mail 
clients, KDE, Gnome)... 
Comment 3 Mike A. Harris 2004-07-06 11:32:06 EDT
We already have a mechanism for selecting the default web browser,
and a mechanism for using the default - gnome-open

gnome-open <URL>

That will open the default web browser, which is mozilla in our
default configuration, however it can be changed if desired.  I'll
update xinitrc to use that instead, as it's more future-proof.  The
entire OS already uses this pretty much, so no applications need
to be modified in this case.
Comment 4 Doncho N. Gunchev 2004-07-08 05:31:21 EDT
    KDE does not have such mechanism AFAIK (or it does?). I know 
Gnome is the default desktop manager, but many users, like me, do not 
use it. Don't get me wrong, I used Gnome before, but I prefer KDE. 
> gnome-open <URL> 
    Will this work in text console (no X, this is probably another 
story about something like BROWSER_TEXT...)? I hope gnome-open can 
easily use $BROWSER too. KDE uses such behavior when you setup your 
proxy - it can use {http,ftp,no}_proxy environment variables when you 
select 'Use preset environment variables' in konqueror's proxy 
settings. I wish 'Component Chooser' had such option to select the 
browser, but that's another story... 
Probably this should be fixed upstream in KDE/Gnome? My idea was it 
would be nice if the user can setup his/her favorite browser once and 
everything uses it. 
    As long as many applications (aspell, cvs) do use environment 
variables I hope this is a good idea. 
Comment 5 Doncho N. Gunchev 2004-07-08 05:34:25 EDT
PS: I fear this discussion (about $BROWSER) does not fully belong 
here, maybe this should be RFE (but xinitrc still has something to do 
with it)? The script xinitrc can be be fixed to refer to mozilla 
without these but... 
Comment 6 Mike A. Harris 2004-09-24 02:57:03 EDT
* Thu Sep 24 2004 Mike A. Harris <mharris@redhat.com> 4.0.5-1
- fvwm2ectomy, and netscapectomy (#123284)


Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.